#!/usr/bin/env python
# -*- coding: utf-8 -*-


"""
 * ------------------------------------------------------------------------
 * bmTraces
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.bm-stats.org <http://www.bm-stats.org>
 * ------------------------------------------------------------------------
"""
 
from Tkinter import * 
import tkSimpleDialog 
import getpass
from cypherTools import *


class authDialog(tkSimpleDialog.Dialog):
	
	def body(self, master):
		self.wm_title("bmTraces : Authentication Box : ")		
		Label(master, text="Login : ").grid(row=0, sticky=W)
		Label(master, text="Password : ").grid(row=1, sticky=W)
		
		self.e1 = Entry(master)
		self.e2 = Entry(master, show = '*')

		self.e1.grid(row=0, column=1)
		self.e2.grid(row=1, column=1)
	
	def apply(self):
		
		login = password = None
		
		login = self.e1.get()
		password = self.e2.get()
		
		c = cypherTools()
		cyphered = c.cypher(password)

		self.result = (login, cyphered)
		
